PHP Notice: has_cap の使用はバージョン 2.0 から非推奨になりました ! プラグインやテーマでのユーザーレベルの使用は推奨されていません。代わりに権限グループと権限を使ってください。 wp-includes/functions.php on line 3318
というエラーが出ました。

以下参考ページと同じ現象で
http://www.crossl.net/blog/wp_……e_has_cap/
http://curious-everything.com/……entry.html

Advanced make clickableプラグインのadd_options_page関数にて権限を数字で指定しているためNGということですね。

function amc_adminmenu(){
   //add_options_page('Advanced Make Clickable Options', 'Adv-Make-Clickable', 9, 'advanced-make-clickable.php', 'amc_options');
   add_options_page('Advanced Make Clickable Options', 'Adv-Make-Clickable', 'administrator', 'advanced-make-clickable.php', 'amc_options');
}